﻿using System;

namespace Aspitalia.Books.Chapter4
{
    class Chapter4
    {
        static void Main(string[] args)
        {
            // ****************************************************************************************************
            // Esempio 4.11
            // ****************************************************************************************************

            var point1 = new { X = 21, Y = 10, Z = 71 };
            var point2 = new { X = 18, Y = 8, Z = 5 };

            // La seconda proprietà di point3 è di tipo string
            var point3 = new { X = 20, Y = "1", Z = 67 };

            point1 = point2;    // Assegnazione valida (stesso tipo anonimo) 
            // point1 = point3; // Errore (type mismatch)

            // ****************************************************************************************************
            // Esempio 4.14
            // ****************************************************************************************************

            string a = null;     // Stringa nulla
            bool b = a.IsNull(); // y vale true

            // ****************************************************************************************************
            // Esempio 4.20
            // ****************************************************************************************************

            Employee x = new Employee("Riccardo Golia", 38);
            Person y = x;

            // Viene comunque eseguito il metodo di Employee
            // anche se il riferimento è di tipo Person
            string z = y.GetFirstName();

            // ****************************************************************************************************
            // Esempio 4.22
            // ****************************************************************************************************

            // Il riferimento è di tipo IWritable, ma l'istanza è di tipo Employee
            IWritable x1 = new Employee("Riccardo Golia", 38);

            // Scrive sulla console il nome completo
            x1.Write();

            // È necessario effettuare il casting per invocare il metodo
            string y1 = ((Employee)x1).GetFirstName();

            // ****************************************************************************************************
            // Esempio 4.23
            // ****************************************************************************************************

            Complex u = new Complex();           // Il numero complesso vale 0.0 + 0.0i
            Complex v = new Complex(1.0F, 2.0F); // Il numero complesso vale 1.0 + 2.0i

            Console.ReadLine();
        }
    }
}
