﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ASPItalia.Books.Chapter06
{
    public delegate void StringLogWriter(DateTime timestamp, string message);

    public class Logger
    {
        private StringLogWriter writer;

        public Logger(StringLogWriter writer)
        {
            this.writer = writer;
        }

        public void Log(string message)
        {
            if (this.writer != null)
                this.writer(DateTime.Now, message);
        }
    }

}
