﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace ASPItalia.Books.Chapter13
{
    /// <summary>
    /// Interaction logic for Events.xaml
    /// </summary>
    public partial class Events : Window
    {
        public Events()
        {
            InitializeComponent();
        }

        private void Window_MouseUp(System.Object sender, System.Windows.Input.MouseButtonEventArgs e)
        {
            MessageBox.Show("Pulsante premuto su " + e.OriginalSource.GetType().Name);
        }

        private void Window_PreviewMouseUp(System.Object sender, System.Windows.Input.MouseButtonEventArgs e)
        {
            if (Object.ReferenceEquals(e.OriginalSource.GetType(), typeof(Rectangle)))
            {
                e.Handled = true;
            }
        }

    }
}
