﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ASPItalia.Books.Chapter15.ProductsClient
{
    class Program
    {
        static void Main(string[] args)
        {
            // Creo il proxy
            var client = new Services.ProductsClient();
            // Ottengo la lista dei prodotti
            Services.Product[] products = client.GetAllProducts();

            Console.WriteLine(products[0].Name);

            // Attendo fino a quando l'utente preme invio
            Console.ReadLine();

            var context = new OData.NorthwindEntities(new Uri("http://localhost:41306/northwind.svc"));
            var product = (from p in context.Products
                           where p.ProductName == "Chai"
                           select p).FirstOrDefault();
            Console.WriteLine(product.n);

            Console.ReadLine();
        }
    }
}
