﻿using System.ServiceProcess;

namespace Aspitalia.Books.Chapter16
{
    class Program
    {
        static void Main(string[] args)
        {
            ServiceController controller = null;

            using (controller = new ServiceController("Directory Watcher"))
            {
                // Se il servizio è in esecuzione, arrestalo
                if (controller.Status == ServiceControllerStatus.Running)
                    controller.Stop();

                // Aspetta finchè il servizio non si è fermato
                while (controller.Status != ServiceControllerStatus.Stopped)
                    controller.Refresh();

                // Avvia il servizio
                controller.Start();
            }
        }
    }
}
