﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace DeleteDirectory
{
  class Program
  {
    static void Main(string[] args)
    {
      string myPath = Path.Combine(
        Environment.GetFolderPath(
        Environment.SpecialFolder.CommonDocuments), "Capitolo20");
      try
      {
        Directory.CreateDirectory(myPath);
        Console.WriteLine("Cartella creata correttamente, premi un tasto per eliminarla");
        Console.ReadLine();
        Directory.Delete(myPath);
        Console.WriteLine("Cartella Eliminata correttamente");
      }
      catch (Exception ex)
      {
        Console.WriteLine("Impossibile creare la cartella: {0}", ex.ToString());
      }
      Console.ReadLine();
    }
  }
}
