﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace MoveToDirectoryInfo
{
  class Program
  {
    static void Main(string[] args)
    {
      DirectoryInfo dInfo = new DirectoryInfo(
        Path.Combine(Environment.GetFolderPath(
        Environment.SpecialFolder.CommonDocuments), "Capitolo20"));
      try
      {
        dInfo.Create();
        Console.WriteLine("Cartella creata correttamente, premi un tasto per spostarla");
        Console.ReadLine();
        dInfo.MoveTo(Path.Combine(
          Environment.GetFolderPath(
          Environment.SpecialFolder.CommonPictures), "Capitolo20"));
        Console.WriteLine("Cartella spostata correttamente");
      }
      catch (Exception ex)
      {
        Console.WriteLine("Si è verificato un errore: {0}", ex.ToString());
      }
      Console.ReadLine();
    }
  }
}
