﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace SearchDirectory
{
  class Program
  {
    static void Main(string[] args)
    {
      DirectoryInfo dInfo = new DirectoryInfo(
        Environment.GetFolderPath(
        Environment.SpecialFolder.CommonDocuments));
      try
      {
        DirectoryInfo[] directories = dInfo.GetDirectories("*", 
          SearchOption.TopDirectoryOnly);
        foreach (DirectoryInfo directory in directories)
        {
          Console.WriteLine("{0} {1}", directory.FullName, 
            directory.LastAccessTime);
        }
      }
      catch (Exception ex)
      {
        Console.WriteLine("Si è verificato un errore: {0}", ex.ToString());
      }
      Console.ReadLine();
    }
  }
}
