﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Security;
using System.Security.Permissions;
using Plugin;
using System.IO;

namespace WpfApplication1
{
  public partial class MainWindow : Window
  {
    PluginElement plg;

    public MainWindow()
    {
      this.InitializeComponent();
      PermissionSet ps1 = new PermissionSet(PermissionState.None);
      ps1.AddPermission(new SecurityPermission(SecurityPermissionFlag.Execution));
      ps1.AddPermission(new FileIOPermission(FileIOPermissionAccess.Write, @"d:\"));
      AppDomainSetup domainSetup = AppDomain.CurrentDomain.SetupInformation;
      AppDomain sandbox = AppDomain.CreateDomain("sandbox", null, domainSetup, ps1);
      this.plg = (PluginElement)sandbox.CreateInstanceAndUnwrap("Plugin", "Plugin.PluginElement");
    }

    private void Button_Click(object sender, RoutedEventArgs e)
    {
      Stream dataStream = File.OpenWrite(string.Format(@"d:\file1.txt", new object[0]));
      StreamWriter str = new StreamWriter(dataStream);
      str.Write(this.TextBox2.Text);
      str.Close();
      dataStream.Close();
    }

    private void Button_Click_1(object sender, RoutedEventArgs e)
    {
      this.plg.WriteFile(this.TextBox3.Text, @"d:\writeDaPlugin.txt");
    }

    private void Button_Click_2(object sender, RoutedEventArgs e)
    {
      //System.MethodAccessException was unhandled
      //Message=Attempt by security transparent method 
      // 'WpfApplication1.MainWindow.Button_Click_2(System.Object, System.Windows.RoutedEventArgs)'
      // to access security critical method 
      // 'Plugin.PluginElement.DirectWriteFile(System.String, System.String)' failed.

      this.plg.DirectWriteFile(this.TextBox4.Text, @"d:\writeDirectDaPlugin.txt");
    }
  }
}
