﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace CreateAndWriteFile
{
  class Program
  {
    static void Main(string[] args)
    {
      try
      {
        FileStream myfileStream = default(FileStream);
        string myPath = Path.Combine(
          Environment.GetFolderPath(
          Environment.SpecialFolder.CommonDocuments), "myfile.txt");
        myfileStream = File.Create(myPath);
        byte[] info = new UTF8Encoding(true).GetBytes("Un saluto dall'autore di questo capitolo.");
        myfileStream.Write(info, 0, info.Length);
        myfileStream.Close();
        StreamReader mySteamiReader = File.OpenText(myPath);
        while (mySteamiReader.Peek() >= 0)
        {
          Console.WriteLine("il file contiene: {0}", mySteamiReader.ReadLine());
        }
        mySteamiReader.Close();
      }
      catch (Exception ex)
      {
        Console.WriteLine("Si è verificato un errore: {0}", ex.ToString());
      }
      Console.ReadLine();
    }
  }
}
