﻿using System;
using System.IO;

namespace CreateDirectoryInfo
{
  class Program
  {
    static void Main(string[] args)
    {
      DirectoryInfo dInfo = new DirectoryInfo(
        Path.Combine(Environment.GetFolderPath(
        Environment.SpecialFolder.CommonDocuments), "Capitolo20"));
      try
      {
        dInfo.Create();
        Console.WriteLine("Cartella creata correttamente, premi un tasto per spostarla");
        Console.ReadLine();
        if (!Directory.Exists(
          Path.Combine(Environment.GetFolderPath(
          Environment.SpecialFolder.CommonPictures), "Capitolo20")))
        {
          dInfo.MoveTo(Path.Combine(
            Environment.GetFolderPath(
            Environment.SpecialFolder.CommonPictures), "Capitolo20"));
          Console.WriteLine("Cartella spostata correttamente");
        }
        else
        {
          Console.WriteLine("Cartella già esistente");
        }
      }
      catch (Exception ex)
      {
        Console.WriteLine("Si è verificato un errore: {0}", ex.ToString());
      }
      Console.ReadLine();
    }
  }
}
