﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace CreateSubDirectory
{
  class Program
  {
    static void Main(string[] args)
    {
      DirectoryInfo dInfo = new DirectoryInfo(
        Path.Combine(Environment.GetFolderPath(
        Environment.SpecialFolder.CommonDocuments), "Capitolo20"));
      try
      {
        dInfo.Create();
        dInfo.CreateSubdirectory("Esempio 20.4");
        Console.WriteLine("Directory e sotto directory creata correttamente, premi un tasto per eliminarla");
        Console.ReadLine();
        dInfo.Delete(true);
        Console.WriteLine("Directory Eliminata correttamente");
      }
      catch (Exception ex)
      {
        Console.WriteLine("Si è verificato un errore: {0}", ex.ToString());
      }
      Console.ReadLine();
    }
  }
}
