﻿using System;
using System.IO;

namespace DeleteDirectoryInfo
{
  class Program
  {
    static void Main(string[] args)
    {
      DirectoryInfo dInfo = new DirectoryInfo(
        Path.Combine(Environment.GetFolderPath(
        Environment.SpecialFolder.CommonDocuments), "Capitolo20"));
      try
      {
        dInfo.Create();
        Console.WriteLine("Cartella creata correttamente, premi un tasto per eliminarla");
        Console.ReadLine();
        dInfo.Delete();
        Console.WriteLine("Cartella Eliminata correttamente");
      }
      catch (Exception ex)
      {
        Console.WriteLine("Si è verificato un errore: {0}", ex.ToString());
      }
      Console.ReadLine();
    }
  }
}
